




$landing-dark-color: #13263c;
$landing-header-height: 100px;
$landing-header-height-tablet-and-mobile: 70px;
$landing-header-sticky-height: 70px;
$landing-header-sticky-height-tablet-and-mobile: 70px;


.landing-dark-bg {
  background-color: $landing-dark-color;
}

.landing-dark-color {
  color: $landing-dark-color;
}

.landing-dark-border {
  border: 1px dashed #2c3f5b;
}

.landing-dark-separator {
  border-top: 1px dashed #2c3f5b;
}

.landing-curve {
  position: relative;

  svg {
    position: relative;
    top: 0;
    display: block;
  }
}


.landing-header {
  display: flex;
  align-items: center;
  height: $landing-header-height;

  
  .logo-default {
    display: block;
  }

  .logo-sticky {
    display: none;
  }

  
  .menu {
    
    .menu-link {
      &.active {
        color: $white;
      }
    }

    
    [data-kt-sticky-landing-header='on'] & {
      
      .menu-link {
        &.active {
          color: $primary;
          background-color: rgba(#eff2f5, 0.4);
        }
      }
    }
  }

  
  [data-kt-sticky-landing-header='on'] & {
    padding: 0;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 100;
    background-color: $white;
    box-shadow: 0px 10px 30px 0px rgba(82, 63, 105, 0.05);
    height: $landing-header-sticky-height;

    
    .logo-sticky {
      display: block;
    }

    .logo-default {
      display: none;
    }
  }
}


body[data-kt-sticky-landing-header='on'] {
  padding-top: $landing-header-height;
}


@include media-breakpoint-down(lg) {
  
  .landing-header {
    height: $landing-header-height-tablet-and-mobile;

    
    .landing-menu-wrapper {
      position: relative;
      overflow: auto;
    }

    
    [data-kt-sticky-landing-header='on'] & {
      height: $landing-header-sticky-height-tablet-and-mobile;
    }

    
    .menu {
      
      .menu-link {
        &.active {
          color: $primary;
          background-color: rgba(#eff2f5, 0.4);
        }
      }
    }
  }

  
  body[data-kt-sticky-landing-header='on'] {
    padding-top: $landing-header-height-tablet-and-mobile;
  }
}
